Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm.buildins.database
Class Predicate_assert

    java.lang.Object
      gnu.prolog.vm.ExecuteOnlyCode
          gnu.prolog.vm.buildins.database.Predicate_assert

All Implemented Interfaces:
  Installable, PrologCode

Direct Known Subclasses:
  Predicate_asserta, Predicate_assertz

    public abstract class Predicate_assert

extends ExecuteOnlyCode

prolog code

Field Summary

Fields inherited from interface gnu.prolog.vm.PrologCode
`FAIL, HALT, SUCCESS, SUCCESS_LAST`

Constructor Summary
`Predicate_assert()`

Method Summary
`protected abstract void` | `assertPred(Predicate p, CompoundTerm clause)` assert a clause
`int` | `execute(Interpreter interpreter, boolean backtrackMode, Term[] args)` this method is used for execution of code
`static Term` | `prepareBody(Term body, Term term)`

Methods inherited from class gnu.prolog.vm.ExecuteOnlyCode
`install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Predicate_assert

    public Predicate_assert()

Method Detail

### assertPred

    protected abstract void assertPred(Predicate p,
                                       CompoundTerm clause)

  assert a clause

### execute

    public int execute(Interpreter interpreter,
                       boolean backtrackMode,
                       Term[] args)
                throws PrologException

  Description copied from interface: `PrologCode`
  this method is used for execution of code

  Specified by:
    `execute` in interface `PrologCode`
  Specified by:
    `execute` in class `ExecuteOnlyCode`
  Parameters:
    `interpreter` - interpreter in which context code is executed
    `backtrackMode` - true if predicate is called on backtracking and false otherwise
    `args` - arguments of code
  Returns:
    either SUCCESS, SUCCESS_LAST, or FAIL.
  Throws:
    `PrologException`

### prepareBody

    public static Term prepareBody(Term body,
                                   Term term)
                            throws PrologException

  Throws:
    `PrologException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD